package info.bukova.isspst.services;

import java.util.List;

public interface Service<T> {

	public void add(T entity);
	public void update(T entity);
	public void delete(T entity);
	public List<T> getAll();
	public List<T> execQuery(String query);
	public T selectSingle(String query);
	
	
}
